Subject: Re: [bitcoin-dev] Bitcoin covenants are inevitable

From: Alex Lee <[email-masked]>
Date: Tue, 28 Jun 2022 12:23:40 -0400

On Tue, Jun 28, 2022 at 4:43 AM Billy Tetrud via bitcoin-dev <
[email-masked]> wrote:

> @Eric
> >  People who transact are realizing the benefit of money - the avoidance
> of barter costs.
>
> I'm very confident you're incorrect that holders don't receive any benefit
> and you're certainly not correct that every spend is receiving the same
> benefit. As I'm sure you're aware, one of the primary components of a
> currency's value and purpose is as a store of value. Storing value happens
> while you're holding it, not while you're spending it. Consider the
> following two scenarios: one person holds onto 10 bitcoin for 10 years and
> then spends those 10 bitcoins in some way in 2 transactions. Another person
> spends 4 bitcoins to buy something, then sells it for 6 bitcoins, and then
> buys something else for that 6 bitcoins and then never acquires any bitcoin
> for 10 years.
>
> Both people spent 10 bitcoins over 2 transactions. Over that 10 year
> period, only one of those people utilized bitcoin's utility as a store of
> value. Who benefited more from their use of bitcoin?
>
>
The person who obtained greater economic utility from their two
transactions.

> > Those who never transact, never realize any benefit.
>
> While that's true, its not relevant and basically a red herring. You need
> to compare those who transact often and rarely hold, to those who hold a
> lot but rarely transact. Its not helpful to consider those who throw their
> bitcoin into a bottomless pit and never retrieve them.
>

There are legitimate uses for burning bitcoin, speaking of bottomless pits.
I would avoid confusing velocity metrics with utility, as these aren't the
same thing.

>
> On an idealistic level, I agree with Keagan that it would make sense to
> have "a balance of fees to that effect". I think doing that would be
> technically/economically optimal. However, I think there is an enormous
> benefit to having a cultural aversion to monetary inflation and the
> consequences of convincing the bitcoin community that inflation is ok could
> have unintended negative consequences (not to mention how difficult
> convincing the community would be in the first place). There's also the
> economic distortion that inflation causes that has a negative effect which
> should also be considered. The idea of decaying utxo value is interesting
> to consider, but it would not solve the economic distortion that
> monetary inflation causes, because that distortion is a result of monetary
> devaluation (which decaying utxos would be a form of). Then again, maybe in
> this case the distortion of inflation would actually be a correction -
> correcting for the externality of benefit received by holders. I'm
> stream-of-consciousnessing a bit, but anyways, I suspect its not worth the
> trouble to perfect the distribution of bitcoin blockchain security costs to
> include holders. Tho, if I were to go back in time and influence how
> bitcoin was designed, I might advocate for it.
>
> @Peter
> > demurrage and inflation have identical economic properties.
>
> The distortion of incentives is identical, however there is also the
> effect it has on a currency's property as a useful unit of account.
> Decaying utxos would mean that it would contribute substantially less to
> market prices needing to change. I suspect this effect would be bordering
> on negligible tho.
>
> On Thu, Jun 23, 2022 at 2:17 PM Peter Todd via bitcoin-dev <
> [email-masked]> wrote:
>
>> On Tue, Jun 21, 2022 at 01:00:07PM -0600, Keagan McClelland via
>> bitcoin-dev wrote:
>> > > The PoW security of Bitcoin benefits all Bitcoin users, proportional
>> to
>> > the
>> > value of BTC they hold; if Bitcoin blocks aren't reliably created the
>> value
>> > of
>> > *all* BTC goes down. It doesn't make sense for the entire cost of that
>> > security
>> > to be paid for on a per-tx basis. And there's a high chance paying for
>> it
>> > on a
>> > per-tx basis won't work anyway due to lack of consistent demand.
>> >
>> > FWIW I prefer the demurrage route. Having something with finite supply
>> as a
>> > means of measuring economic activity is unprecedented and I believe
>> deeply
>> > important. I'm sympathetic to the argument that the security of the
>> chain
>> > should not be solely the responsibility of transactors. We realize the
>> > value of money on receipt, hold *and* spend and it would be appropriate
>> for
>> > there to be a balance of fees to that effect. While inflation may be
>> > simpler to implement (just chop off the last few halvings), I think it
>> > would be superior (on the assumption that such a hodl tax was
>> necessary) to
>> > keep the supply fixed and have people's utxo balances decay, at least at
>> > the level of the UX.
>>
>> Demurrage makes protocols like Lightning much more complex, and isn't
>> compatible with existing implementations. While demurrage could in theory
>> be
>> implemented in a soft-fork by forcing txs to contain an output with the
>> demurrage-taxed amount, spending to a pool of future mining fees, I really
>> don't think it's practical to actually do that.
>>
>> Anyway, demurrage and inflation have identical economic properties.
>> They're
>> both a tax on savings. The only difference is the way that tax is
>> implemented.
>>
>> --
>> https://petertodd.org 'peter'[:-1]@petertodd.org
>> _______________________________________________
>> bitcoin-dev mailing list
>> [email-masked]
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>